Package Details: tablet-mode 2.2.0-1

Git Clone URL: https://aur.archlinux.org/tablet-mode.git (read-only, click to copy)
Package Base: tablet-mode
Description: Tools to toggle a convertible laptop between laptop and tablet mode
Upstream URL: https://github.com/coNQP/tablet-mode
Keywords: convertible laptop tablet
Licenses: GPLv3
Submitter: schard
Maintainer: schard
Last Packager: schard
Votes: 0
Popularity: 0.000000
First Submitted: 2019-03-23 13:36
Last Updated: 2021-05-14 19:18

Latest Comments

schard commented on 2021-01-12 15:50

@simona Yeah, sorry about that. I had an undetected bug in the dependencies that I could not reproduce in my build environment at first. But thanks to the Arch forum community, I managed to solve it: https://bbs.archlinux.org/viewtopic.php?id=262572

simona commented on 2021-01-12 15:48

now install. perfect.

schard commented on 2021-01-05 11:32

@simona The package builds fine in a clean chroot. If yay cannot build it, yay is the problem.

simona commented on 2021-01-05 11:21

/bin/python: No module named pip.main; 'pip' is a package and cannot be directly executed
Traceback (most recent call last):
File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 126, in fetch_build_egg
subprocess.check_call(cmd)
File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp76fjriff', '--quiet', 'setuptools-git-version']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/home/simona/.cache/yay/tablet-mode/src/tablet-mode/setup.py", line 5, in <module>
setup(
File "/usr/lib/python3.9/site-packages/setuptools/init.py", line 152, in setup
_install_setup_requires(attrs)
File "/usr/lib/python3.9/site-packages/setuptools/init.py", line 147, in _install_setup_requires
dist.fetch_build_eggs(dist.setup_requires)
File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 673, in fetch_build_eggs
resolved_dists = pkg_resources.working_set.resolve(
File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 764, in resolve
dist = best[req.key] = env.best_match(
File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 1049, in best_match
return self.obtain(req, installer)
File "/usr/lib/python3.9/site-packages/pkg_resources/init.py", line 1061, in obtain
return installer(requirement)
File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 732, in fetch_build_egg
return fetch_build_egg(self, req)
File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 128, in fetch_build_egg
raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp76fjriff', '--quiet', 'setuptools-git-version']' returned non-zero exit status 1.
==> ERRORE: Si è verificato un errore in package().